Bug 174676 - hwclock audit return code mismatch
hwclock audit return code mismatch
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
: 175466 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-12-01 05:42 EST by Jonathan Kamens
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-03 12:52:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2005-12-01 05:42:56 EST
I just upgraded to all current devel packages, including

Have selinux disabled.

When I shut down, I see this:

Syncing hardware clock to system time audit (#.#:#): user pid=# uid=0 auid=#
msg='changing system time: exe="/sbin/hwclock" (hostname=?, addr=?,
terminal=console res=failed)'

Something appears to be not working here.
Comment 1 Jonathan Kamens 2005-12-02 09:03:09 EST
Hmm, I believe I have selinux disabled, so it's not obvious to me how this 
could be a bug in selinux-policy-targeted.

Or is selinux turned back on, even if it was previously disabled, as part of 
the shutdown process?
Comment 2 Karel Zak 2006-01-03 05:05:14 EST
The message is from audit system and not from selinux. I think there is a bug in
the hwclock command that reports incorrect return code to audit subsystem (audit
interprets 0=failed, but in hwclock 0=succes and 1=error :-).

I'll fix it in a next update. Thanks for your report.
Comment 3 Karel Zak 2006-01-03 11:30:30 EST
*** Bug 175466 has been marked as a duplicate of this bug. ***
Comment 4 Karel Zak 2006-01-03 12:52:35 EST
Fixed. Update to util-linux >= 2.13-0.13.

Note You need to log in before you can comment on or make changes to this bug.